Thomas P.

[1.7.3-2 + Backports] Kopernicus & KittopiaTech

Recommended Posts

2 hours ago, mindseyemodels said:

game had an update no one asked for again... *sigh* you know what that means... also WHY is it purposefully version locked? and how can I bypass the version lock? because my brother and sister -in-law in the army are staying over with my parents and i for a month before he gets deployed to south Korea and I was hoping to play kerbal space program with my brother for once before he goes to Korea and I dont see him for 2 years... I only have this mod because I use the duna restoration mod because the modern duna looks like a red misshapen [snip]

Copy your KSP folder out of Steam and only use Steam for getting updates, then the trolling from Kopernicus & Steam will stop.

Kopernicus is version locked because it's better for the modder that you can't play your game than:

  • 100 players report problems in an old version of Kopernicus they're still using in newer KSP which are fixed in newer Kopernicus but might break in the next KSP and then the mod maker has to go out of his way when people complain even more
  • the modder puts out a fix for newer Kopernicus that will break (break worse) when people inevitably try to use this fix in older KSP and then players complain even more
  • players come up with 100 edge cases where a good fix or new feature doesn't work anymore and tries to get the mod maker into a pointless run-around

You, the customer, sitting at your table and getting served, have no idea what pressure the cooks and the waiters have to bear when they prep the food and drink for you and for everyone else in the restaurant. ;)

59 minutes ago, pamidur said:

Edited the dll. Removed version check.

Be sure to tell everyone who uses your hack not to bother the original modder if they find any problem while using your hack. Be sure to tell them to report to you.

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites
27 minutes ago, pamidur said:

unleash the nyan cats

Thanks for taking over the full support for any version your unlocked .dll runs on. Which is, uh. every version.
(See how that sounds? Another reason for a version lock - you only support the versions you feel comfortable supporting. Totally aside from making sure that in the fragmented support-eco system where planet makers are mostly the first station when asking for help, the state of Kopernicus on a new KSP version is clear.)

But hey, this means I can use my weekend for actually working on the university stuff I'm supposed to do, instead of working on Kopernicus. ¯\_(ツ)_/¯

 

Snarking aside, dammit at least you could just ask me before you put that out. I literally even wrote when I will update Kopernicus before.
But hey, I can't stop you and certainly won't try to do it either so do what you want.

Edited by Thomas P.

Share this post


Link to post
Share on other sites
2 minutes ago, Thomas P. said:

But hey, I can't stop you and certainly won't try to do it either so do what you want.

Yeah, I got it. Sorry for that.

Aside of it. Although I'm not familiar with how ksp development is done, but shouldn't change in Z (at least) in X.Y.Z indicate bugfix which does not introduce breaking change and thus should not require your lib update? Just asking.

@JadeOfMaar, @Thomas P. I didn't want to do something bad really. I appreciate Modders and Community. Thought I would be a quick fix for those on steam autoupdate until new version is released. And I thought 'no bother original modder' were obvious as well. I've deleted my post. 

Share this post


Link to post
Share on other sites
1 minute ago, pamidur said:

Yeah, I got it. Sorry for that.

Aside of it. Although I'm not familiar with how ksp development is done, but shouldn't change in Z (at least) in X.Y.Z indicate bugfix which does not introduce breaking change and thus should not require your lib update? Just asking.

Generally this is true and for most mods it works just fine. However, since the Kopernicus community is not as monolithic as other community, and scattered across various planet packs threads etc. it can happen that different planet authors judge differently on how well Kopernicus works on new KSP versions (see the link I posted above). Combine that with how much hacks I had to put into Kopernicus to get certain features working, and how much a failing Kopernicus can impact your savegame (vessels vanishing from the orbits of unloaded planets). The version lock makes sure that the question to "Does it work on the new KSP version?" is clear: No, it doesn't. There is less room for speculation, experiments and misinformation.

Basically, I rather take the flak for locking Kopernicus (and therefor definitly giving everyone a reason to not touch their saves) than being responsible for breaking savegames because of not reacting fast enough to KSP updates.

 

Share this post


Link to post
Share on other sites
35 minutes ago, pamidur said:

Thought I would be a quick fix for those on steam autoupdate until new version is released.

Your intent is noble but the true solution to Kopernicus and Steam is not to use Kopernicus in Steam. Copy KSP out of there, mod it, and play the modded copy. Because this happens every KSP update, and people have repeatedly been caught off-guard by this.

Thomas.P knows how the version lock works. If he wanted it out he would have removed it himself. :)

Share this post


Link to post
Share on other sites

when will it be updated for 1.6.1?

Share this post


Link to post
Share on other sites

 

2 hours ago, Thomas P. said:

Basically, I rather take the flak for locking Kopernicus (and therefor definitly giving everyone a reason to not touch their saves) than being responsible for breaking savegames because of not reacting fast enough to KSP updates.

I'd be the exact opposite, but give them the option to potentially break their saves only if they really wanted to, as in keep the lock if you don't mess with some config file and have the option to bypass it if they really want to. Maybe give a big fat warning at loading if that config file does not match the hardcoded ksp compatible version. That config file could then not be included with the official release, so if it doesn't exist in the mod directory Kopernicus would work just like now. Just an idea...

16 minutes ago, BGYT said:

when will it be updated for 1.6.1?

SoonTM.

 

Edited by void_error
Removed surplus whitespaces.

Share this post


Link to post
Share on other sites

@Thomas P. I've managed to figure out how to rebuild Kopernicus (installed the whole toolchain which I've never used before, no nasty dll hacks), and so far it loads just fine (using OPM). I won't be releasing it anywhere, but I'll let you know if I find any problems, most likely tomorrow after I get back from work and over the weekend if I have time to play.

Share this post


Link to post
Share on other sites

Post removed - see @JadeOfMaar post and my response below.

Edited by Pie82
Comments from another user.

Share this post


Link to post
Share on other sites
1 hour ago, BGYT said:

when will it be updated for 1.6.1?

16 hours ago, Thomas P. said:

Kopernicus updates when I have time. Which is likely the weekend, maybe even earlier. It also contains a bugfix to the star flare issue (lets try the teaser method - I have a feeling it doesn't work. Lol)

Share this post


Link to post
Share on other sites

Asking about updates is not against any forum rules as long as it's polite and not repeated to the point of nagging. Rather than blaming each other for asking, please just hit the report button on a post you think might be a problem and let the moderators deal with it. 

Share this post


Link to post
Share on other sites
1 hour ago, Pie82 said:

The steam auto-update thing is another thing I seem to have forgotten since I last played - just got stung myself - d'oh! :-) 1.5 is the most recent version under the 'betas' tab - no going back to 1.6.0.

I downloaded the source and the parser...

Why're you dropping hints for others to unlock Kopernicus? Whoever does so will share it, thinking they're helping, and then the unsuspecting 3rd party will come here and complain to Thomas because it's his mod. They'll expect him, not you, to be able to fix. Thomas knows how to unlock it but keeps it locked for his own sanity.

1 hour ago, void_error said:

@Thomas P. I've managed to figure out how to rebuild Kopernicus (installed the whole toolchain which I've never used before, no nasty dll hacks), and so far it loads just fine (using OPM). I won't be releasing it anywhere, but I'll let you know if I find any problems, most likely tomorrow after I get back from work and over the weekend if I have time to play.

Plugin modders are always welcome. If you're willing to hang around and check for potential problems when later KSP releases occur, that would be epic.

Share this post


Link to post
Share on other sites
1 hour ago, JadeOfMaar said:

Why're you dropping hints for others to unlock Kopernicus? Whoever does so will share it, thinking they're helping, and then the unsuspecting 3rd party will come here and complain to Thomas because it's his mod. They'll expect him, not you, to be able to fix. Thomas knows how to unlock it but keeps it locked for his own sanity.

Point taken. I guess I just assumed that most rational people would understand that if they're messing around with mod source code or downloading from anywhere but the authors page they're asking for trouble and get no support especially on something free! Maybe I have too much faith in humanity.

I've removed my post.

Share this post


Link to post
Share on other sites

What will happen if I run Kopernicus under 1.6.1?  I accidentally updated KSP and as others said can only go back to 1.5.1.  

Share this post


Link to post
Share on other sites
2 minutes ago, KSPNoob said:

What will happen if I run Kopernicus under 1.6.1?  I accidentally updated KSP and as others said can only go back to 1.5.1.  

As Kopernicus is, it will do nothing expect unleash a NyanCat party on your screen. :D

Share this post


Link to post
Share on other sites
1 hour ago, JadeOfMaar said:

As Kopernicus is, it will do nothing expect unleash a NyanCat party on your screen. :D

I started my KSP JUST to see the NyanCat party :D

Been meaning to ask; I noticed a while ago they're imitating some sort of planetary system. Clever.  Do they use some sort of simple physics simulation or is it scripted (or even just a .gif)?

 

*hoping for new Kopernicus soon, can't play without it and I need my KSP fix* 

Share this post


Link to post
Share on other sites
2 minutes ago, Atlessa said:

Been meaning to ask; I noticed a while ago they're imitating some sort of planetary system. Clever.  Do they use some sort of simple physics simulation or is it scripted (or even just a .gif)?

That.... is a great question. I'm very slow to update KSP for myself so I very barely get to watch the NyanCats.

Share this post


Link to post
Share on other sites

Since the issue of version-locking seems to rear its ugly head every KSP update, might I suggest you (Thomas) consider adding JadeOfMaar's and your text (sans sarcasm :cool:) above to the OP and point people to it as necessary.  I realize that only a small proportion of readers will notice it, fewer will absorb it, but at least some will read it and move on quietly.  It also just might help lower your blood pressure/frustration level/sarcasm index (although, don't get me wrong...I love reading it because I'm not the target :wink: and I can just hear it in my head how I might say it out loud).

Share this post


Link to post
Share on other sites

Inb4 some other random finds this post, skips to the last post, ignoring all that preceded in and then ask when the update is gonna be. So cringy.

Share this post


Link to post
Share on other sites

so, i've started to realize that i may have had a broken version of kopernicus this whole time. back in 1.4.5 i had been using kopernicus and the issues you were mentioning, flashing orbits, vessels dissapearing, and a whole bunch of plenetary shenanigans.  i had just kept playing on since i figured it was a bug with my planet mods, and then, for one beautiful day, i played the updated kopernicus on 1.6.

i was able to look at the mapscreen without orbit lines flying everywhere, craft weren't slowly gaining or losing speed for no reason, maneuvers werent dissapearing and it didn't take halfr an hour to load. and then steam cruelly whisked it away!

Share this post


Link to post
Share on other sites

@Lunaris.  Get in the habit of copying KSP to a location outside of steam before adding mods.  That way when KSP updates, your working copy won't be affected.  

Share this post


Link to post
Share on other sites
7 hours ago, Pie82 said:

I guess I just assumed that most rational people would understand that if they're messing around with mod source code or downloading from anywhere but the authors page they're asking for trouble and get no support especially on something free! Maybe I have too much faith in humanity.

Most rational people would understand. Most people aren't rational though....

Edited by strudo76

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.